
Version 4.44.1
2008-04-11 Alexander Korkov <a.korkov@drweb.com>
	Демон:
	NEW:
	* Демон продолжает работать при ошибке лицензии, возвращая при проверке
	файлов код ответа DERR_LICENSE_ERROR (BugID #14550);
	* Дополнительная информация в письме уведомления (BugID #12226);
	* Возможность отключить запись в лог строк о непроверенных файлах:
	новый параметр в конфигурационном файле FilesTypesWarnings = { Yes | No }
	(BugID #11058);
	* Вывод версии антивирусного ядра Dr.Web (BugID #11284);
	* Информация о причине ошибки открытия ключа (BugID #8013);
	* Ограничение на максимально допустимые тайм-ауты в конфигурационном файле
	(BugID #8888);
	* Удаление неактуальных файлов /var/drweb/run/*.bsy (BugID #7639).

	FIX:
	* Исправлено бесконечное ожидание процессом Демона процесса отправки
	уведомления по почте (BugID #6205);
	* Исправлены ошибки при обработке SIGHUP (BugID #14977);
	* Исправлен парсинг значения параметра MaxCompressionRatio (BugID #7680);
	* Исправлены ошибки проверки архивов в base64 (BugID #9396);
	* Исправлены ошибки ##6639, 7228, 16359, 12862, 12863, 16106, 6105.

Version 4.44.0
2008-04-11 Dmitry Tupitsyn <dimon@drweb.com>
	Демон:
	NEW:
	* Диагностика ошибок подключения к Агенту в режиме ControlAgent
	(BugID #15384);
	* Многократные уведомления (BugID #18449).

	FIX:
	* Исправлено неправильное поведение при значении 0 параметра NotifyPeriod
	(BugID #14174);
	* Исправлены ошибки подключения Демона при взаимодействии с Агентом через
	inet-сокет (BugID #14530);
	* Исправлен скрипт /etc/init.d/drwebd, ошибки в конфигурационном файле
	(BugIDs ##14527, 14621, 14632);
	* Исправлены ошибки парсинга адресов (BugID #15403);
	* Исправлена ошибка старта из-под Монитора (BugID #14907);
	* Вывод корректной версии сборки (BugID #15467);
	* Исправлена ошибка старта на FreeBSD 6.0 (BugID #15466).

Version 4.44.0
2007-07-27 Alexander Korkov <a.korkov@drweb.com>
	Сканер:
	* Добавлены опции командной строки -h,--help (дублируют -?,-help) и -v,
	--version (дублируют -version);
	* Корректная обработка параметра ExcludePaths, новое значение данного
	параметра по умолчанию: ExcludePaths="/proc", "/sys", "/dev" (BugID #13081);
	* Завершение работы при обнаружении ошибок в опциях командной строки;
	* Удалена опция для проверки по формату (-fm) (BugID #9081);
	* Из конфигурационного файла удален параметр LogInfected (BugID #9035);
	* При вызове Сканера с некорректными опциями его работа завершается до
	загрузки баз (BugID #8025);
	* Добавлена опция командной строки -ki: показывает информацию о ключе и его
	владельце (только в кодировке UTF8) (BugID #5570);
	* После запуска без опций командной строки или при возникновении ошибок в
	процессе запуска Сканер, завершая свою работу, выводит строку подсказки
	"-?, -help, -h, --help - display help." (BugID #8024);
	* Если Сканер не может найти ключевой файл, то выводит строку "Key file
	/opt/drweb/drweb32.key was not found" (BugID #8012);
	* При выводе названия версии при запуске с ключами -v,-version и т.д. выводит
	также версию антивирусного ядра (BugID #11283);
	* Удаляет tmp-файлы после получения сигнала SIGXFSZ (BugID #6659);
	* Корректное поведение при сканировании текущей удаленной директории
	(BugID #5548);
	* Название опции -log соответствует описанию в справке, выводимой Сканером
	при вызове с соответствующей опцией (BugID #7999);
	* В справке Сканера (drweb -help) опции разбиты по группам, описанным в
	документации (BugID #7997).

Version 4.33
2006-03-30 Andrey Chernyy <andreyc@drweb.com>
	Демон/Сканер:
	* Удалена поддержка проверки по формату (ScanFiles = ByFormat) и параметр
	CheckPackedFiles (BugID #9080).

2005-09-26 Sergey Akhapkin <asv@drweb.com>
	NEW:
	* Новый продукт - Dr.Web (R) GUI Scanner: обеспечивает графический интерфейс
	к консольному Сканеру и модулю обновления и кроме этого предоставляет
	следующие возможности:
	- управление карантином
	- автоматизированная отсылка подозрительных файлов в антивирусную лабораторию
	компании Доктор Веб;
	- быстрый доступ к сайту компании Доктор Веб и форуму пользователей;
	- показ информационных сообщений компании Доктор Веб (распространяемых через
	обновления).

	* Новый модуль обновления, его ключевые особенности:
	- ведение лога обновлений различной степени детализации;
	- обновление антивирусного ядра свежими версиями при соблюдении совместимости;
	- новая секция [Updater] в конфигурационном файле drweb32.ini;
	- поддержка автоматического обновления списка серверов обновлений;
	- посылка отчета об обновлении почтой.

	Антивирусное ядро:
	* Расширенные базы для распознавания новых типов вредоносного ПО:
	drwnasty.vdb - для распознавания рекламного ПО и программ автодозвона,
	drwrisky.vdb - для распознавания потенциально опасного ПО, программ-шуток
	и программ, используемых для взлома;
	* Новый эвристический анализатор, который позволяет обнаруживать новые
	модификации вирусов следующих типов:
	DLOADER (Trojan.DownLoader.xxx), MULDROP (Trojan.MulDrop.xxx),
	STPAGE (Trojan.StartPage), BACKDOOR (BackDoor.xxx),
	PWS (Trojan.PWS.xxx),  WORM and MAIL.WORM (e-mail worms).
	Возможные комбинации:
	(DLOADER|MULDROP|STPAGE)(.IRC)(.PWS).Trojan
	BACKDOOR(.IRC)(.PWS).Trojan
	WIN.(.IRC)(.PWS)(.MAIL).WORM.Virus;
	* Распаковка архивов: BZIP (1.0.3), CHM;
	* Новые упаковщики: ULTRAPROTECT;
	* Новые версии упаковщиков: ASPACK, PECRYPT, UPX, UPACK, MORPHINE, PECOMPACT,
	NFO, EXPRESSOR, SQR, EXE32PACK, WWPACK32, ARM, NEOLITE, SVKP, PESPIN, MOLEBOX,
	SOFTDEFENDER, MEW, TELOCK, CEXE, PEDIMINISHER, FSG, KCUF, NSPACK, ELKA,
	FAKENEO, YODA.

	Демон/Сканер:
	* Поддержка обновления антивирусного ядра без смены версии программы;
	* Разделены файлы локализации;
	* Улучшен алгоритм загрузки вирусных баз;
	* Улучшена проверка целостности ключевых файлов.

	Демон:
	* Поддержка загрузки более одного ключевого файла (надо использовать несколько
	определений параметра Key в конфигурационном файле), что позволяет раздельно
	оперировать разными типами лицензий (BugID #4663);
	* Для поддержки новых типов вредоносного ПО изменен протокол взаимодействия
	между Демоном и клиентами (фильтрами);
	* Поддержка уведомлений об истечении срока действия лицензии (BugID #4105);
	* Трафиковая лицензия более не требует почасовой разбивки. Устаревшие
	параметры: TrafficEqualPerHour, TrafficPerHour (BugID #4550).

	Сканер:
	* Новые опции командной строки: -adw[d|r|m|-], -dls[d|r|m|-], -jok[d|r|m|-],
	-rsk[d|r|m|-], -hck[d|r|m|-]. Новые параметры конфигурационного файла:
	ActionAdware, ActionDialers, ActionJokes, ActionRiskware, ActionHacktools;
	* Отображение информации о лицензии и версии модулей в консоли и в логе;
	* Уведомление на stderr об окончании срока действия лицензии (полезно, когда
	Сканер запущен из cron) (BugID #4104).

	Пакеты:
	* Новая компоновка пакетов под Linux. Продукты разделены на 5 пакетов:
	- базовый (антивирусное ядро и вирусные базы);
	- модуль обновлений;
	- Демон;
	- Сканер;
	- графическая оболочка Сканера.
	Причины: удобство обновления пакетов, разделение зависимостей;
	* Добавлена интеграция с logrotate;
	* Поддержка FedoraCore4, RedHat Enterprise Linux 4, FreeBSD 5.4;
	* Доступны пакеты для OpenBSD и Solaris.

	FIX:
	Антивирусное ядро:
	* Исправлены ошибки при распаковке RAR, BZIP, GZIP и CAB архивов (в основном
	поврежденных);
	* Исправлены ошибки в упаковщиках: MEW, MOLEBOX, PEDIMINISHER, PEPACK, ASPACK,
	WWPACK32, EXE32PACK, PKLITE, WINKRIPT, MORPHINE.

	Демон/Сканер:
	* Перезапись нерегулярных файлов (/dev/null), если они заданы через опцию
	-log (BugID #3618);
	* Исправлены ошибки обработки fifos, sockets и прочих нерегулярных файлов
	(BugIDs ##3876, 4198);
	* Более детальный вывод ошибок для инфицированных архивов (BugIDs ##3973,
	4060).

	Демон:
	* Исправлена проблема, связанная с созданием PID-файла (BugIDs ##5103, 5508);
	* Исправлено игнорирование параметра ScanFiles для не-архивов (BugID #5499);
	* Исправлено игнорирование параметра ExcludePaths (BugID #5523);
	* Исправлены ошибки перезагрузки (reload) в PreFork режиме (BugIDs ##4123,
	5992, 5993);
	* Исправлена ошибка с повторной перезагрузкой (reload) в не-PreFork режиме
	(BugID #4232);
	* Исправлена ошибка в обработке параметра RejectCondition (BugID #4457);
	* Исправлены ошибки, связанные с обнаружением вредоносного ПО в поврежденных
	частях почтовых сообщений (encapsulated multipart, base64, text/html, QP)
	(BugIDs ##4006, 4796, 4873, 5982);
	* Смягчены требования к формату RFC2822 почтовых сообщений;
	* Исправлена обработка ошибок лечения/удаления (BugID #4165);
	* Исправлена обработка файлов нулевой длины в удаленном режиме.

	Сканер:
	* Исправлены критические ошибки (падения) при обработке очень длинных путей
	в архивах (BugIDs ##5049, 4596);
	* Исправлена обработка символических ссылок (BugIDs ##4718, 4787, 4877, 4878,
	5010, 5085);
	* Исправлена проблема со сканированием каталогов, содержащих символы "*" и "?"
	в именах (BugID #5181, Dups ##5041, 5046, 5060);
	* Исправлены ошибки в обработке некоторых упакованных исполняемых файлов
	(BugID #4583);
	* Исправлена обработка списка заданий, переданного через опцию -@
	(BugID #5980).

	Пакеты:
	* Исправлены многочисленные незначительные ошибки (BugIDs ##4782, 4879,
	4903, 4904, 4919, 4921, 5021, 5291, 4919, 5205, 5328, 3476, 4082, 4224, 4492,
	4493, 4522, 4642, 4597, 4609, 4616).